<!DOCTYPE html>
<html>
<head>
  <title>Quiz App Player</title>
  <style>
    body {
      font-family: Arial, sans-serif;
      background-color: #f0f0f0;
      margin: 0;
      padding: 20px;
      display: flex;
      flex-direction: column;
      align-items: center;
    }
    
    a {
      color: #007BFF;
      text-decoration: none;
      margin-bottom: 20px;
      align-self: flex-start;
    }
    
    a:hover {
      text-decoration: underline;
    }
    
    h1 {
      color: #333;
      margin-bottom: 30px;
    }
    
    #question {
      background-color: #fff;
      border-radius: 8px;
      padding: 20px;
      margin-bottom: 20px;
      width: 80%;
      max-width: 600px;
      box-shadow: 0 2px 4px rgba(0,0,0,0.1);
      font-size: 18px;
      text-align: center;
    }
    
    #answers {
      display: flex;
      flex-direction: column;
      align-items: center;
      width: 80%;
      max-width: 600px;
    }
    
    button {
      background-color: #007BFF;
      color: white;
      border: none;
      padding: 10px 20px;
      margin: 10px;
      border-radius: 4px;
      cursor: pointer;
      font-size: 16px;
      width: 100%;
      max-width: 300px;
      transition: background-color 0.3s ease;
    }
    
    button:hover {
      background-color: #0056b3;
    }
  </style>
</head>
<body>
  <a href="/admin">Go to Admin Page</a>
  <h1>Quiz App</h1>
  <div id="question"></div>
  <div id="answers"></div>
  <script src="/socket.io/socket.io.js"></script>
  <script>
    const socket = io();
    
    socket.on('connect', () => {
      const playerName = prompt('Enter your name:');
      socket.emit('join', playerName);
    });
     
    socket.on('question', (question) => {
      const questionDiv = document.getElementById('question');
      questionDiv.textContent = question.question;

      const answersDiv = document.getElementById('answers');
      answersDiv.innerHTML = '';
      for (let i = 0; i < question.answers.length; i++) {
        const button = document.createElement('button');
        button.textContent = question.answers[i];
        button.addEventListener('click', () => {
          socket.emit('answer', i);
        });
        answersDiv.appendChild(button);
      }
    });
    
    socket.on('end', () => {
      alert('Quiz ended!');
    });
    
    socket.on('reset', () => {
      const questionDiv = document.getElementById('question');
      questionDiv.textContent = '';

      const answersDiv = document.getElementById('answers');
      answersDiv.innerHTML = '';
    });
  </script>
</body>
</html>